{% extends "roadbook/base.html" %}

{% load comment_tags %}
{% load gallery_tags %}
{% load i18n %}
{% load leaflet_tags %}
{% load roadbook_tags %}
{% load static %}
{% load wagtailcore_tags %}
{% load wagtailimages_tags %}

{% block extra_uncompressed_js %}
    {% roadbook_map page.get_all_legs leg=page %}
{% endblock %}

{% block body_class %}template-roadbook-leg{% endblock %}

{% block content %}
    <div class="container">
        <div class="row mt-3 my-2">
            <div class="col-12">
                <h5>{% if page.start_date != page.end_date %}{% trans "From" %}{% else %}{% trans "The" %}{% endif %} {{ page.start_date|date }}{% if page.start_date != page.end_date %}
                    {% trans "to" %} {{ page.end_date|date }}
                    {% endif %}</h5>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-12 text-center">
                <h1>{{ page.title }}</h1>
                <div class="d-flex justify-content-center">
                    {% include 'roadbook/includes/track_stats.html' %}
                </div>
            </div>
        </div>
        <div class="row mb-4">
            <div class="col-12">
                {% include 'roadbook/includes/next_previous_page_buttons.html' %}
            </div>
        </div>
    </div>
    {% if page.main_image %}
    <div class="bg-info mb-3">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    {% carousel page.slug page.gallery_images.all %}
                </div>
            </div>
        </div>
    </div>
    {% endif %}
    <div class="container">
        <div class="row">
            <div class="col-lg-6 col-md-12">
                {{ page.description|richtext }}
                <div class="d-flex justify-content-center">
                    <a href="{{ page.get_parent.url }}" class="btn btn-primary" role="button">{% trans "Back to the road book" %}</a>
                </div>
            </div>
            <div class="col-lg-6 col-md-12">
                {% leaflet_map "roadbook-map" %}
            </div>
        </div>
    </div>
    <div class="container mt-3">
        {% show_comments page %}
    </div>
{% endblock content %}
